> ## Documentation Index > Fetch the complete documentation index at: https://developer.rocket.chat/llms.txt > Use this file to discover all available pages before exploring further. # Get Channel List > Lists all the channels in the workspace. Any of the following permissions are required: * `view-c-room` * `view-joined-room` ### Changelog | Version | Description | | ------- | -------------------------------------------- | |9.0.0 | Removed the `fields` and `query` parameters. | | 0.49.0 | Count and offset query parameters supported. | | 0.48.0 | Added | ## OpenAPI ````json GET /api/v1/channels.list { "openapi": "3.0.0", "info": { "version": "1.0.0", "title": "Rooms" }, "servers": [ { "url": "https://apiexplorer.support.rocket.chat" } ], "tags": [ { "name": "Channels" }, { "name": "Directory" }, { "name": "Groups" }, { "name": "Rooms" }, { "name": "Teams" }, { "name": "Room Invites" }, { "name": "Subscriptions" }, { "name": "ABAC" } ], "paths": { "/api/v1/channels.list": { "get": { "tags": [ "Channels" ], "summary": "Get Channel List", "description": "Lists all the channels in the workspace. Any of the following permissions are required:\n* `view-c-room`\n* `view-joined-room`\n\n### Changelog\n| Version | Description |\n| ------- | -------------------------------------------- |\n|9.0.0 | Removed the `fields` and `query` parameters. |\n| 0.49.0 | Count and offset query parameters supported. |\n| 0.48.0 | Added |", "operationId": "get-api-v1-channels.list", "parameters": [ { "$ref": "#/components/parameters/Auth-Token" }, { "$ref": "#/components/parameters/UserId" }, { "$ref": "#/components/parameters/offset" }, { "$ref": "#/components/parameters/count" }, { "schema": { "type": "string" }, "in": "query", "name": "sort", "description": "Sort the channels in ascending (`1`) or descending (`-1`) order. The value must be entered as a JSON object. The options are as follows:\n * `name`: Sort by the channel name. For example, `sort={\"name\":1}` (this is the default sorting mechanism).\n * `ts`: Sort by channel creation timestamp. For example, `sort={\"ts\":-1}`\n * `usersCount`: Sort by the number of users in the channel. For example, `sort={\"usersCount\":1}`" } ], "responses": { "200": { "description": "OK", "content": { "application/json": { "schema": { "type": "object", "properties": { "channels": { "type": "array", "items": { "type": "object", "properties": { "_id": { "type": "string" }, "fname": { "type": "string" }, "customFields": { "type": "object" }, "topic": { "type": "string" }, "broadcast": { "type": "boolean" }, "encrypted": { "type": "boolean" }, "name": { "type": "string" }, "t": { "type": "string" }, "msgs": { "type": "integer" }, "usersCount": { "type": "integer" }, "u": { "type": "object", "properties": { "_id": { "type": "string" }, "username": { "type": "string" } } }, "ts": { "type": "string" }, "ro": { "type": "boolean" }, "default": { "type": "boolean" }, "sysMes": { "type": "boolean" }, "_updatedAt": { "type": "string" }, "lastMessage": { "type": "object", "properties": { "_id": { "type": "string" }, "rid": { "type": "string" }, "msg": { "type": "string" }, "ts": { "type": "string" }, "u": { "type": "object", "properties": { "_id": { "type": "string" }, "username": { "type": "string" }, "name": { "type": "string" } } }, "_updatedAt": { "type": "string" }, "urls": { "type": "array", "items": { "type": "object" } }, "mentions": { "type": "array", "items": { "type": "object" } }, "channels": { "type": "array", "items": { "type": "object" } }, "md": { "type": "array", "items": { "type": "object", "properties": { "type": { "type": "string" }, "value": { "type": "array", "items": { "type": "object", "properties": { "type": { "type": "string" }, "value": { "type": "string" } } } } } } }, "groupable": { "type": "boolean" }, "blocks": { "type": "array", "items": { "type": "object", "properties": { "type": { "type": "string" }, "text": { "type": "object", "properties": { "type": { "type": "string" }, "text": { "type": "string" } } }, "blockId": { "type": "string" }, "appId": { "type": "string" }, "elements": { "type": "array", "items": { "type": "object", "properties": { "type": { "type": "string" }, "text": { "type": "string" }, "emoji": { "type": "boolean" } } } } } } }, "editedAt": { "type": "string" }, "editedBy": { "type": "object", "properties": { "_id": { "type": "string" }, "username": { "type": "string" } } } } }, "lm": { "type": "string" }, "description": { "type": "string" }, "federated": { "type": "boolean" } } } }, "count": { "type": "integer" }, "offset": { "type": "integer" }, "total": { "type": "integer" }, "success": { "type": "boolean" } } }, "examples": { "Success": { "value": { "channels": [ { "_id": "GENERAL", "ts": "2024-02-14T14:34:49.365Z", "t": "c", "name": "general", "usernames": [], "msgs": 6, "usersCount": 6, "_updatedAt": "2024-03-26T17:40:18.321Z", "u": { "_id": "rocket.cat", "username": "rocket.cat", "name": "Rocket.Cat" }, "default": true }, { "_id": "65fd8a6bf581e473b56471ba", "fname": "test-channel", "_updatedAt": "2024-03-22T13:40:59.62Z", "customFields": {}, "topic": "", "broadcast": false, "encrypted": false, "name": "test-channel", "t": "c", "msgs": 0, "usersCount": 1, "u": { "_id": "GdEsNbLxzoBgG8XoQ", "username": "apiadmin", "name": "apiadmin" }, "ts": "2024-03-22T13:40:59.577Z", "ro": false, "default": false, "sysMes": true } ], "count": 2, "offset": 0, "total": 3, "success": true } } } } } }, "401": { "$ref": "#/components/responses/authorizationError" } } } } }, "components": { "parameters": { "Auth-Token": { "name": "X-Auth-Token", "in": "header", "description": "The `authToken` of the authenticated user.", "required": true, "schema": { "type": "string" }, "example": "RScctEHSmLGZGywfIhWyRpyofhKOiMoUIpimhvheU3f" }, "UserId": { "name": "X-User-Id", "in": "header", "description": "The `userId` of the authenticated user.", "required": true, "schema": { "type": "string" }, "example": "rbAXPnMktTFbNpwtJ" }, "offset": { "name": "offset", "in": "query", "description": "Number of items to \"skip\" in the query, i.e. requests return count items, skipping the first offset items. Refer to the [official documentation](https://developer.rocket.chat/apidocs/query-parameters#pagination) to learn more.", "required": false, "schema": { "type": "integer" }, "example": 50 }, "count": { "name": "count", "in": "query", "description": "The number of items to return. Refer to the [official documentation](https://developer.rocket.chat/apidocs/query-parameters#pagination) to learn more.", "required": false, "schema": { "type": "integer" }, "example": 50 } }, "responses": { "authorizationError": { "description": "Unauthorized", "content": { "application/json": { "schema": { "type": "object", "properties": { "success": { "type": "boolean" }, "error": { "type": "string" } } }, "examples": { "Authorization Error": { "value": { "success": false, "error": "You must be logged in to do this." } } } } } } } } } ````